{"models":[{"endpoint_id":"fal-ai/vidu/q1/start-end-to-video","metadata":{"display_name":"Vidu Start End to Video","category":"image-to-video","description":"Vidu Q1 Start-End to Video generates smooth transition 1080p videos between specified start and end images.","status":"active","tags":["stylized","transform"],"updated_at":"2026-04-27T03:35:06.506Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","model_url":"https://fal.run/fal-ai/vidu/q1/start-end-to-video","license_type":"commercial","date":"2025-05-09T03:12:59.443Z","group":{"key":"vidu-q1","label":"Start End to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/vidu/q1/start-end-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/q1/start-end-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/q1/start-end-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-1.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/q1/start-end-to-video","documentationUrl":"https://fal.ai/models/fal-ai/vidu/q1/start-end-to-video/api","about":"Vidu Q1 Start-End to Video API: Generate a smooth transition video between start and end frames using the Q1 model."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduQ1StartEndToVideoInput":{"required":["prompt","start_image_url","end_image_url"],"x-fal-order-properties":["enable_safety_checker","prompt","start_image_url","end_image_url","seed","movement_amplitude"],"title":"Q1StartEndToVideoRequest","type":"object","properties":{"movement_amplitude":{"enum":["auto","small","medium","large"],"default":"auto","title":"Movement Amplitude","description":"The movement amplitude of objects in the frame","type":"string"},"prompt":{"examples":["Dragon lands on a rock"],"type":"string","title":"Prompt","description":"Text prompt for video generation, max 1500 characters","maxLength":1500},"enable_safety_checker":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"title":"Enable Safety Checker","hidden":true,"description":"Enable safety checks; disabling requires authorization."},"end_image_url":{"examples":["https://v3.fal.media/files/kangaroo/CASBu_OmOnZ8IafirarFL_last_frame_q1.png"],"type":"string","title":"End Image Url","description":"URL of the image to use as the last frame"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Seed for the random number generator"},"start_image_url":{"examples":["https://v3.fal.media/files/zebra/sgsdKvPigPhJ1S7Hl5bWc_first_frame_q1.png"],"type":"string","title":"Start Image Url","description":"URL of the image to use as the first frame"}}},"ViduQ1StartEndToVideoOutput":{"required":["video"],"x-fal-order-properties":["video"],"title":"Q1StartEndToVideoOutput","type":"object","properties":{"video":{"examples":[{"url":"https://fal.media/files/zebra/-ACpJE6m4JQSBCCeNB51S_output.mp4"}],"description":"The generated transition video between start and end frames using the Q1 model","$ref":"#/components/schemas/File"}}},"File":{"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","type":"object","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."}}}}},"paths":{"/fal-ai/vidu/q1/start-end-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q1/start-end-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/q1/start-end-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ1StartEndToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q1/start-end-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ1StartEndToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"moonvalley/marey/i2v","metadata":{"display_name":"Marey Realism V1.5","category":"image-to-video","description":"Generate a video starting from an image as the first frame with Marey, a generative video model trained exclusively on fully licensed data.","status":"active","tags":[],"updated_at":"2026-06-24T13:05:08.079Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f9394/ZLHbUTHZhNxJ56W9NaaeK_iLOqZpyY.png","model_url":"https://fal.run/moonvalley/marey/i2v","license_type":"commercial","date":"2025-08-14T01:27:37.851Z","group":{"key":"marey","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for moonvalley/marey/i2v","version":"1.0.0","description":"The OpenAPI schema for the moonvalley/marey/i2v queue.","x-fal-metadata":{"endpointId":"moonvalley/marey/i2v","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f9394/ZLHbUTHZhNxJ56W9NaaeK_iLOqZpyY.png","playgroundUrl":"https://fal.ai/models/moonvalley/marey/i2v","documentationUrl":"https://fal.ai/models/moonvalley/marey/i2v/api","about":"Image To Video Endpoint"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MareyI2vInput":{"title":"MareyInputI2V","type":"object","properties":{"prompt":{"examples":["Detailed Description: In a hidden jungle grotto, a majestic waterfall plunges into a dark, serene pool below. Ethereal sunbeams slice through the dense canopy high above, illuminating the swirling mist generated by the powerful cascade. The light rays dance across the scene, highlighting the vibrant green foliage that clings to the dark, wet rock walls. The constant roar of the falling water echoes through the secluded space, as the surface of the pool ripples and churns from the impact, creating a mesmerizing display of nature's raw power and tranquil beauty. Background: Brilliant sunbeams pierce through an opening in the dense jungle canopy, their ethereal rays shifting and shimmering as they cut through the misty air. Middleground: A powerful column of white water cascades down a dark, foliage-covered cliff face, creating a stark contrast with the shadowy recesses of the grotto. Foreground: The waterfall crashes into a dark, churning pool of water, sending up a fine spray and creating ever-expanding ripples across the surface."],"title":"Prompt","type":"string","description":"The prompt to generate a video from"},"duration":{"enum":["5s","10s"],"title":"Duration","type":"string","description":"The duration of the generated video.","default":"5s"},"image_url":{"examples":["https://d1kaxrqq3vfrw5.cloudfront.net/fal-launch-assets/guide-assets/fal-i2v-example-input.png"],"title":"Image Url","type":"string","description":"The URL of the image to use as the first frame of the video."},"dimensions":{"enum":["1920x1080","1080x1920","1152x1152","1536x1152","1152x1536"],"title":"Dimensions","type":"string","description":"The dimensions of the generated video in width x height format.","default":"1920x1080"},"guidance_scale":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Guidance Scale","description":"Controls how strongly the generation is guided by the prompt (0-20). Higher values follow the prompt more closely."},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Seed for random number generation. Use -1 for random seed each run.","default":-1},"negative_prompt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Negative Prompt","description":"Negative prompt used to guide the model away from undesirable features.","default":"<synthetic> <scene cut> low-poly, flat shader, bad rigging, stiff animation, uncanny eyes, low-quality textures, looping glitch, cheap effect, overbloom, bloom spam, default lighting, game asset, stiff face, ugly specular, AI artifacts"}},"x-fal-order-properties":["prompt","dimensions","duration","negative_prompt","seed","guidance_scale","image_url"],"required":["prompt","image_url"]},"MareyI2vOutput":{"title":"MareyOutput","type":"object","properties":{"video":{"description":"The generated video.","$ref":"#/components/schemas/File"}},"x-fal-order-properties":["video"],"required":["video"]},"File":{"title":"File","type":"object","properties":{"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}},"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"]}}},"paths":{"/moonvalley/marey/i2v/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/moonvalley/marey/i2v/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/moonvalley/marey/i2v":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MareyI2vInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/moonvalley/marey/i2v/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MareyI2vOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/framepack/f1","metadata":{"display_name":"Framepack F1","category":"image-to-video","description":"Framepack is an efficient Image-to-video model that autoregressively generates videos.","status":"active","tags":["image to video","motion"],"updated_at":"2026-04-21T17:47:42.829Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/koala/dUfFd9Z7aSX06gL2_qXn0_image.webp","model_url":"https://fal.run/fal-ai/framepack/f1","license_type":"commercial","date":"2025-05-13T22:19:18.611Z","group":{"key":"framepack","label":"F1"},"highlighted":false,"kind":"inference","duration_estimate":3,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/framepack/f1","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/framepack/f1 queue.","x-fal-metadata":{"endpointId":"fal-ai/framepack/f1","category":"image-to-video","thumbnailUrl":"https://v3.fal.media/files/koala/dUfFd9Z7aSX06gL2_qXn0_image.webp","playgroundUrl":"https://fal.ai/models/fal-ai/framepack/f1","documentationUrl":"https://fal.ai/models/fal-ai/framepack/f1/api","about":"Generate Video F1 Endpoint"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"FramepackF1Input":{"x-fal-order-properties":["prompt","negative_prompt","image_url","seed","aspect_ratio","resolution","cfg_scale","guidance_scale","num_frames","enable_safety_checker"],"title":"FramePackF1Request","type":"object","properties":{"image_url":{"description":"URL of the image input.","examples":["https://storage.googleapis.com/falserverless/framepack/framepack.jpg"],"title":"Image Url","type":"string"},"num_frames":{"maximum":900,"description":"The number of frames to generate.","title":"Number of Frames","type":"integer","default":180,"minimum":30},"cfg_scale":{"maximum":7,"description":"Classifier-Free Guidance scale for the generation.","title":"CFG Scale","type":"number","default":1,"minimum":0},"aspect_ratio":{"description":"The aspect ratio of the video to generate.","title":"Aspect Ratio (W:H)","type":"string","default":"16:9","enum":["16:9","9:16"]},"guidance_scale":{"maximum":32,"description":"Guidance scale for the generation.","title":"Guidance Scale","type":"number","default":10,"minimum":0},"enable_safety_checker":{"description":"If set to true, the safety checker will be enabled.","examples":[true],"title":"Enable Safety Checker","type":"boolean","default":false},"seed":{"description":"The seed to use for generating the video.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"negative_prompt":{"description":"Negative prompt for video generation.","examples":["Ugly, blurry distorted, bad quality"],"title":"Negative Prompt","type":"string","default":""},"resolution":{"description":"The resolution of the video to generate. 720p generations cost 1.5x more than 480p generations.","title":"Resolution","type":"string","default":"480p","enum":["720p","480p"]},"prompt":{"description":"Text prompt for video generation (max 500 characters).","examples":["A mesmerising video of a deep sea jellyfish moving through an inky-black ocean. The jellyfish glows softly with an amber bioluminescence. The overall scene is lifelike."],"title":"Prompt","type":"string"}},"required":["prompt","image_url"]},"FramepackF1Output":{"x-fal-order-properties":["video","seed"],"title":"FramePackF1Response","type":"object","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/framepack/TfJPbwm6_D60dcWEv9LVX_output_video.mp4"}]},"seed":{"description":"The seed used for generating the video.","title":"Seed","type":"integer"}},"required":["video","seed"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","type":"object","properties":{"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"content_type":{"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}]}},"required":["url"]}}},"paths":{"/fal-ai/framepack/f1/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/framepack/f1/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/framepack/f1":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FramepackF1Input"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/framepack/f1/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FramepackF1Output"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v4/effects","metadata":{"display_name":"PixVerse V4 Effects","category":"image-to-video","description":"Generate high quality video clips with different effects using PixVerse v4","status":"active","tags":["image-to-video"],"updated_at":"2026-10-20T22:13:20.256Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4/effects","license_type":"commercial","date":"2025-04-23T17:11:05.284Z","group":{"key":"pixverse","label":"Effects v4"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4/effects","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4/effects queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4/effects","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4/effects","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4/effects/api","about":"Create Effect Video V4"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV4EffectsInput":{"type":"object","x-fal-order-properties":["effect","image_url","resolution","duration","negative_prompt","enable_safety_checker"],"title":"EffectInput","required":["effect","image_url"],"properties":{"enable_safety_checker":{"type":"boolean","default":true,"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker"},"image_url":{"examples":["https://v3.fal.media/files/koala/q5ahL3KS7ikt3MvpNUG8l_image%20(72).webp"],"type":"string","description":"Optional URL of the image to use as the first frame. If not provided, generates from text","title":"Image Url"},"resolution":{"type":"string","default":"720p","description":"The resolution of the generated video.","enum":["360p","540p","720p","1080p"],"title":"Resolution"},"effect":{"type":"string","enum":["Kiss Me AI","Kiss","Muscle Surge","Warmth of Jesus","Anything, Robot","The Tiger Touch","Hug","Holy Wings","Microwave","Zombie Mode","Squid Game","Baby Face","Black Myth: Wukong","Long Hair Magic","Leggy Run","Fin-tastic Mermaid","Punch Face","Creepy Devil Smile","Thunder God","Eye Zoom Challenge","Who's Arrested?","Baby Arrived","Werewolf Rage","Bald Swipe","BOOM DROP","Huge Cutie","Liquid Metal","Sharksnap!","Dust Me Away","3D Figurine Factor","Bikini Up","My Girlfriends","My Boyfriends","Subject 3 Fever","Earth Zoom","Pole Dance","Vroom Dance","GhostFace Terror","Dragon Evoker","Skeletal Bae","Summoning succubus","Halloween Voodoo Doll","3D Naked-Eye AD","Package Explosion","Dishes Served","Ocean ad","Supermarket AD","Tree doll","Come Feel My Abs","The Bicep Flex","London Elite Vibe","Flora Nymph Gown","Christmas Costume","It's Snowy","Reindeer Cruiser","Snow Globe Maker","Pet Christmas Outfit","Adopt a Polar Pal","Cat Christmas Box","Starlight Gift Box","Xmas Poster","Pet Christmas Tree","City Santa Hat","Stocking Sweetie","Christmas Night","Xmas Front Page Karma","Grinch's Xmas Hijack","Giant Product","Truck Fashion Shoot","Beach AD","Shoal Surround","Mechanical Assembly","Lighting AD","Billboard AD","Product close-up","Parachute Delivery","Dreamlike Cloud","Macaron Machine","Poster AD","Truck AD","Graffiti AD","3D Figurine Factory","The Exclusive First Class","Art Zoom Challenge","I Quit","Hitchcock Dolly Zoom","Smell the Lens","I believe I can fly","Strikout Dance","Courtside Cam","Pit Crew Moment","K-Baseball Sprint","Toddler Doodle","Idol Ending","Apex Dance","OmniHero Forge","Palm Decode","The Age Ripple","My Future Is Limitless","Knee Slide","Epic Goal Save","Sideline Ball Boy","Cup Celebration","Victory Roar","Vuvuzela Fan","World Champion Lift","Tunnel to Captain","Liquid Soccer Morph","Jump Into Crowd 2","Golden Pitch Crasher","Stadium Fan Cam","Broadcast Moto GP","The Grotesque Clay","Rookie Star Card","The Final Hug","Sharp Post-Match Comment","Street Maverick","Pitch Legend","One Step At A Time","Birthday Mirror","Superstar Lobby","Final Battle Room","Top of the World","Mini Me Unboxed","WonderPOP Surprise","White Chicks","Kiss me","What a Day","The Last Leap at Sunset","Tiny Sticker Chef Chaos","Mini Squeeze Toy","Tearful Gunman","Street Fashion Caricature","Mini Me Makeover","Street Art Awakening","Hug Together","ACAI dance Duet","PUBG Winner Hit!","Blocky Mini-Me","Cheat Day Busted","MiniSocial Recharge","My Little Perler Charm","Where did this cobweb come from?","Holy Beast Summoning Technique","IT'S THE FIRST OF THE MONTH","Pet Editorial","Three lifetime bond","Pixel World","Mint in Box","Hands up, Hand","Flora Nymph Go","Somber Embrace","Beam me up","Suit Swagger"],"description":"The effect to apply to the video","title":"Effect"},"negative_prompt":{"type":"string","default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt"},"duration":{"type":"string","default":"5","description":"The duration of the generated video in seconds","enum":["5","8"],"title":"Duration"}}},"PixverseV4EffectsOutput":{"type":"object","x-fal-order-properties":["video"],"title":"EffectOutput","required":["video"],"properties":{"video":{"examples":[{"file_name":"output.mp4","file_size":3232402,"url":"https://fal.media/files/koala/awGY1lJd7lVsqQeSqjWqn_output.mp4","content_type":"video/mp4"}],"description":"The generated video","$ref":"#/components/schemas/File"}}},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"}}}}},"paths":{"/fal-ai/pixverse/v4/effects/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/effects/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4/effects":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4EffectsInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/effects/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4EffectsOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kandinsky5-pro/image-to-video","metadata":{"display_name":"Kandinsky5 Pro","category":"image-to-video","description":"Kandinsky 5.0 Pro is a diffusion model for fast, high-quality image-to-video generation.","status":"active","tags":[],"updated_at":"2026-10-20T22:31:48.192Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a877601/AN-bEqsfOmQj46SKwy4Ms_5288905eb5e744f99cb3ac61339a2bd9.jpg","model_url":"https://fal.run/fal-ai/kandinsky5-pro/image-to-video","license_type":"commercial","date":"2025-12-23T13:42:41.411Z","group":{"key":"kandinsky5-pro","label":"Image to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kandinsky5-pro/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kandinsky5-pro/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kandinsky5-pro/image-to-video","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a877601/AN-bEqsfOmQj46SKwy4Ms_5288905eb5e744f99cb3ac61339a2bd9.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/kandinsky5-pro/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kandinsky5-pro/image-to-video/api","about":"Generate a video from an input image."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Kandinsky5ProImageToVideoInput":{"required":["prompt","image_url"],"title":"KandinskyI2VRequest","x-fal-order-properties":["prompt","enable_safety_checker","image_url","resolution","duration","num_inference_steps","acceleration","seed"],"type":"object","properties":{"seed":{"title":"Seed","description":"The seed to use for generation. If not provided, a random seed will be used.","examples":[42],"anyOf":[{"type":"integer"},{"type":"null"}]},"num_inference_steps":{"title":"Num Inference Steps","type":"integer","minimum":1,"maximum":40,"default":28},"duration":{"const":"5s","title":"Duration","type":"string","description":"Video duration.","default":"5s"},"prompt":{"title":"Prompt","type":"string","description":"The prompt to generate the video from.","examples":["The white dragon warrior stands still, eyes full of determination and strength. The camera slowly moves closer or circles around the warrior, highlighting the powerful presence and heroic spirit of the character."]},"enable_safety_checker":{"title":"Enable Safety Checker","type":"boolean","description":"Authorized callers may set false to request relaxed screening.","default":true},"image_url":{"title":"Image Url","type":"string","description":"The URL of the image to use as a reference for the video generation.","examples":["https://storage.googleapis.com/falserverless/model_tests/wan/dragon-warrior.jpg"]},"resolution":{"title":"Resolution","enum":["512P","1024P"],"type":"string","description":"Video resolution: 512p or 1024p.","default":"512P"},"acceleration":{"anyOf":[{"enum":["none","regular"],"type":"string"},{"type":"null"}],"title":"Acceleration","description":"Acceleration level for faster generation.","default":"regular"}}},"Kandinsky5ProImageToVideoOutput":{"required":["seed"],"title":"KandinskyI2VResponse","x-fal-order-properties":["video","seed"],"type":"object","properties":{"seed":{"title":"Seed","type":"integer","description":"The seed used for generation."},"video":{"description":"The generated video file.","examples":[{"url":"https://v3b.fal.media/files/b/0a877276/Bg24FK_awlNAYKn962Vm0_output.mp4","content_type":"application/octet-stream","file_name":"output.mp4","file_size":22253751}],"anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}]}}},"File":{"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object","properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"file_size":{"title":"File Size","description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]}}}}},"paths":{"/fal-ai/kandinsky5-pro/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky5-pro/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kandinsky5-pro/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky5ProImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kandinsky5-pro/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Kandinsky5ProImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/vidu/start-end-to-video","metadata":{"display_name":"Vidu Start-End to Video","category":"image-to-video","description":"Vidu Start-End to Video generates smooth transition videos between specified start and end images.","status":"active","tags":["motion","transition"],"updated_at":"2026-04-27T03:35:06.506Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/web-examples/vidu/vidu.webp","model_url":"https://fal.run/fal-ai/vidu/start-end-to-video","date":"2025-03-12T00:00:00.000Z","group":{"key":"vidu","label":"Start-End-to-Video"},"highlighted":false,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/vidu/start-end-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/start-end-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/start-end-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/web-examples/vidu/vidu.webp","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/start-end-to-video","documentationUrl":"https://fal.ai/models/fal-ai/vidu/start-end-to-video/api","about":"Vidu Start-End to Video API: Generate a smooth transition video between start and end frames."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduStartEndToVideoInput":{"required":["prompt","start_image_url","end_image_url"],"x-fal-order-properties":["enable_safety_checker","prompt","start_image_url","end_image_url","seed","movement_amplitude"],"title":"StartEndToVideoRequest","type":"object","properties":{"movement_amplitude":{"enum":["auto","small","medium","large"],"default":"auto","title":"Movement Amplitude","description":"The movement amplitude of objects in the frame","type":"string"},"prompt":{"examples":["Transform the car frame into a complete vehicle."],"type":"string","title":"Prompt","description":"Text prompt for video generation, max 1500 characters","maxLength":1500},"enable_safety_checker":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"title":"Enable Safety Checker","hidden":true,"description":"Enable safety checks; disabling requires authorization."},"end_image_url":{"examples":["https://storage.googleapis.com/falserverless/web-examples/vidu/2-carbody.png"],"type":"string","title":"End Image Url","description":"URL of the image to use as the last frame"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Random seed for generation"},"start_image_url":{"examples":["https://storage.googleapis.com/falserverless/web-examples/vidu/2-carchasis.png"],"type":"string","title":"Start Image Url","description":"URL of the image to use as the first frame"}}},"ViduStartEndToVideoOutput":{"required":["video"],"x-fal-order-properties":["video"],"title":"StartEndToVideoOutput","type":"object","properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/vidu/2-car.mp4"}],"description":"The generated transition video between start and end frames","$ref":"#/components/schemas/File"}}},"File":{"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","type":"object","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."}}}}},"paths":{"/fal-ai/vidu/start-end-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/start-end-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/start-end-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduStartEndToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/start-end-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduStartEndToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/minimax/video-01-subject-reference","metadata":{"display_name":"MiniMax (Hailuo AI) Video 01 Subject Reference","category":"image-to-video","description":"Generate video clips maintaining consistent, realistic facial features and identity across dynamic video content","status":"active","tags":["subject","transformation"],"updated_at":"2026-04-21T17:52:16.298Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/minimax-video-01-subject-reference.webp","model_url":"https://fal.run/fal-ai/minimax/video-01-subject-reference","date":"2025-01-20T00:00:00.000Z","group":{"key":"minimax-video","label":"Image to Video (Subject Reference)"},"highlighted":false,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/minimax/video-01-subject-reference","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/minimax/video-01-subject-reference queue.","x-fal-metadata":{"endpointId":"fal-ai/minimax/video-01-subject-reference","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/minimax-video-01-subject-reference.webp","playgroundUrl":"https://fal.ai/models/fal-ai/minimax/video-01-subject-reference","documentationUrl":"https://fal.ai/models/fal-ai/minimax/video-01-subject-reference/api","about":"Hailuo S2V-01 API: Text-to-video generation with subject reference image for consistent character appearance"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"MinimaxVideo01SubjectReferenceInput":{"properties":{"prompt":{"maxLength":2000,"examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage."],"title":"Prompt","type":"string"},"subject_reference_image_url":{"description":"URL of the subject reference image to use for consistent subject appearance","examples":["https://fal.media/files/tiger/s2xnjhLpjM6L8ISxlDCAw.png"],"title":"Subject Reference Image Url","type":"string"},"enable_safety_checker":{"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker","type":"boolean","default":true},"prompt_optimizer":{"description":"Whether to use the model's prompt optimizer","title":"Prompt Optimizer","type":"boolean","default":true}},"required":["prompt","subject_reference_image_url"],"title":"SubjectReferenceRequest","x-fal-order-properties":["enable_safety_checker","prompt","subject_reference_image_url","prompt_optimizer"],"type":"object"},"MinimaxVideo01SubjectReferenceOutput":{"properties":{"video":{"description":"The generated video","examples":[{"url":"https://fal.media/files/rabbit/pONKqOnY7z6GlF6oDESvR_output.mp4"}],"$ref":"#/components/schemas/File"}},"required":["video"],"title":"SubjectReferenceOutput","x-fal-order-properties":["video"],"type":"object"},"File":{"properties":{"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","examples":["image/png"],"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/minimax/video-01-subject-reference/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/video-01-subject-reference/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/minimax/video-01-subject-reference":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxVideo01SubjectReferenceInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/minimax/video-01-subject-reference/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxVideo01SubjectReferenceOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/vidu/reference-to-video","metadata":{"display_name":"Vidu Reference to Video","category":"image-to-video","description":"Vidu Reference to Video creates videos by using a reference images and combining them with a prompt.","status":"active","tags":["motion","reference"],"updated_at":"2026-04-27T03:35:06.506Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/web-examples/vidu/vidu.webp","model_url":"https://fal.run/fal-ai/vidu/reference-to-video","date":"2025-03-12T00:00:00.000Z","group":{"key":"vidu","label":"Reference-to-Video"},"highlighted":false,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/vidu/reference-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/reference-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/reference-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/web-examples/vidu/vidu.webp","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/reference-to-video","documentationUrl":"https://fal.ai/models/fal-ai/vidu/reference-to-video/api","about":"Vidu Reference to Video API: Generate a video with consistent subjects using reference images."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduReferenceToVideoInput":{"required":["prompt","reference_image_urls"],"x-fal-order-properties":["enable_safety_checker","prompt","reference_image_urls","seed","aspect_ratio","movement_amplitude"],"title":"ReferenceToVideoRequest","type":"object","properties":{"movement_amplitude":{"enum":["auto","small","medium","large"],"default":"auto","title":"Movement Amplitude","description":"The movement amplitude of objects in the frame","type":"string"},"prompt":{"examples":["The little devil is looking at the apple on the beach and walking around it."],"type":"string","title":"Prompt","description":"Text prompt for video generation, max 1500 characters","maxLength":1500},"reference_image_urls":{"examples":[["https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference1.png","https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference2.png","https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference3.png"]],"type":"array","items":{"type":"string"},"title":"Reference Image Urls","description":"URLs of the reference images to use for consistent subject appearance"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed","description":"Random seed for generation"},"enable_safety_checker":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":true,"title":"Enable Safety Checker","hidden":true,"description":"Enable safety checks; disabling requires authorization."},"aspect_ratio":{"enum":["16:9","9:16","1:1"],"default":"16:9","title":"Aspect Ratio","description":"The aspect ratio of the output video","type":"string"}}},"ViduReferenceToVideoOutput":{"required":["video"],"x-fal-order-properties":["video"],"title":"ReferenceToVideoOutput","type":"object","properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/referencevideo.mp4"}],"description":"The generated video with consistent subjects from reference images","$ref":"#/components/schemas/File"}}},"File":{"required":["url"],"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","type":"object","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"url":{"type":"string","title":"Url","description":"The URL where the file can be downloaded from."},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."}}}}},"paths":{"/fal-ai/vidu/reference-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/reference-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/reference-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduReferenceToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/reference-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduReferenceToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ai-avatar/single-text","metadata":{"display_name":"AI Avatar Single Text","category":"image-to-video","description":"MultiTalk model generates a talking avatar video from an image and text. Converts text to speech automatically, then generates the avatar speaking with lip-sync.","status":"active","tags":["stylized","transform"],"updated_at":"2026-06-24T11:42:50.244Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f92d3/GGyonkybjHXVatjApR-ZR_uN2w1Yg9.png","model_url":"https://fal.run/fal-ai/ai-avatar/single-text","license_type":"commercial","date":"2025-06-23T16:36:23.549Z","group":{"key":"Ai-Avatar","label":"Single TTS"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ai-avatar/single-text","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ai-avatar/single-text queue.","x-fal-metadata":{"endpointId":"fal-ai/ai-avatar/single-text","category":"image-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f92d3/GGyonkybjHXVatjApR-ZR_uN2w1Yg9.png","playgroundUrl":"https://fal.ai/models/fal-ai/ai-avatar/single-text","documentationUrl":"https://fal.ai/models/fal-ai/ai-avatar/single-text/api","about":"MultiTalk model generates a talking avatar video from an image and text.\nConverts text to speech automatically, then generates the avatar speaking\nwith lip-sync."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"AiAvatarSingleTextInput":{"x-fal-order-properties":["image_url","text_input","voice","prompt","num_frames","resolution","seed","acceleration","enable_safety_checker"],"title":"InfiniTalkSingleTextRequest","properties":{"enable_safety_checker":{"default":true,"title":"Enable Safety Checker","description":"Authorized callers may set false to request relaxed screening.","type":"boolean"},"prompt":{"title":"Prompt","description":"The text prompt to guide video generation.","type":"string","examples":["An elderly man with a white beard and headphones records audio with a microphone. He appears engaged and expressive, suggesting a podcast or voiceover."]},"resolution":{"default":"480p","title":"Resolution","description":"Resolution of the video to generate. Must be either 480p or 720p.","enum":["480p","720p"],"type":"string"},"image_url":{"title":"Image URL","description":"URL of the input image. If the input image does not match the chosen aspect ratio, it is resized and center cropped.","type":"string","examples":["https://v3.fal.media/files/panda/HuM21CXMf0q7OO2zbvwhV_c4533aada79a495b90e50e32dc9b83a8.png"]},"voice":{"title":"Voice","description":"The voice to use for speech generation","enum":["Aria","Roger","Sarah","Laura","Charlie","George","Callum","River","Liam","Charlotte","Alice","Matilda","Will","Jessica","Eric","Chris","Brian","Daniel","Lily","Bill"],"type":"string","examples":["Bill"]},"seed":{"default":42,"title":"Seed","description":"Random seed for reproducibility. If None, a random seed is chosen.","minimum":0,"maximum":4294967295,"type":"integer"},"acceleration":{"default":"regular","title":"Acceleration","description":"The acceleration level to use for generation.","enum":["none","regular","high"],"type":"string"},"text_input":{"title":"Text Input","description":"The text input to guide video generation.","type":"string","examples":["Spend more time with people who make you feel alive, and less with things that drain your soul."]},"num_frames":{"default":145,"title":"Number of Frames","description":"Number of frames to generate. Must be between 41 to 721.","minimum":41,"maximum":721,"type":"integer"}},"type":"object","required":["image_url","text_input","voice","prompt"]},"AiAvatarSingleTextOutput":{"x-fal-order-properties":["video","seed"],"title":"AvatarSingleTextResponse","properties":{"video":{"description":"The generated video file.","$ref":"#/components/schemas/File","examples":[{"url":"https://v3.fal.media/files/elephant/-huMN0zTaXmBr2CqzCMps_6c9dd31e1d9a4482877747a52a661a0a.mp4","file_name":"6c9dd31e1d9a4482877747a52a661a0a.mp4","file_size":797478,"content_type":"application/octet-stream"}]},"seed":{"title":"Seed","description":"The seed used for generation.","type":"integer"}},"type":"object","required":["video","seed"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","description":"The mime type of the file.","examples":["image/png"]}},"type":"object","required":["url"]}}},"paths":{"/fal-ai/ai-avatar/single-text/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ai-avatar/single-text/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ai-avatar/single-text":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiAvatarSingleTextInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ai-avatar/single-text/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiAvatarSingleTextOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/pixverse/v4/image-to-video","metadata":{"display_name":"PixVerse V4 Image To Video","category":"image-to-video","description":"Generate high quality video clips from text and image prompts using PixVerse v4","status":"active","tags":[],"updated_at":"2026-10-20T22:13:22.809Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","model_url":"https://fal.run/fal-ai/pixverse/v4/image-to-video","license_type":"commercial","date":"2025-04-01T02:54:43.687Z","group":{"key":"pixverse","label":"Image to Video v4"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/pixverse/v4/image-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/pixverse/v4/image-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/pixverse/v4/image-to-video","category":"image-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/pixverse-v3.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/pixverse/v4/image-to-video","documentationUrl":"https://fal.ai/models/fal-ai/pixverse/v4/image-to-video/api","about":"Image To Video 4"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"PixverseV4ImageToVideoInput":{"type":"object","x-fal-order-properties":["prompt","resolution","duration","negative_prompt","style","seed","image_url","camera_movement","enable_safety_checker"],"title":"ImageToVideoRequestV4","required":["prompt","image_url"],"properties":{"prompt":{"examples":["A woman warrior with her hammer walking with his glacier wolf."],"type":"string","description":"Text prompt for the video generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Prompt"},"style":{"anyOf":[{"type":"string","enum":["anime","3d_animation","clay","comic","cyberpunk"]},{"type":"null"}],"description":"The style of the generated video","title":"Style"},"negative_prompt":{"examples":["blurry, low quality, low resolution, pixelated, noisy, grainy, out of focus, poorly lit, poorly exposed, poorly composed, poorly framed, poorly cropped, poorly color corrected, poorly color graded"],"type":"string","default":"","description":"Negative prompt to be used for the generation. Limited to 2048 UTF-8 encoded bytes. Because the limit counts bytes rather than characters, emoji and non-Latin or accented characters (which use multiple bytes each) can push a visually short prompt over the cap.","title":"Negative Prompt"},"duration":{"type":"string","default":"5","description":"The duration of the generated video in seconds. 8s videos cost double. 1080p videos are limited to 5 seconds","enum":["5","8"],"title":"Duration"},"camera_movement":{"anyOf":[{"type":"string","enum":["horizontal_left","horizontal_right","vertical_up","vertical_down","zoom_in","zoom_out","crane_up","quickly_zoom_in","quickly_zoom_out","smooth_zoom_in","camera_rotation","robo_arm","super_dolly_out","whip_pan","hitchcock","left_follow","right_follow","pan_left","pan_right","fix_bg"]},{"type":"null"}],"description":"The type of camera movement to apply to the video","title":"Camera Movement"},"enable_safety_checker":{"type":"boolean","default":true,"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker"},"image_url":{"examples":["https://v3.fal.media/files/zebra/qL93Je8ezvzQgDOEzTjKF_KhGKZTEebZcDw6T5rwQPK_output.png"],"type":"string","description":"URL of the image to use as the first frame","title":"Image Url"},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"\n            The same seed and the same prompt given to the same version of the model\n            will output the same video every time.\n        ","title":"Seed"},"resolution":{"type":"string","default":"720p","description":"The resolution of the generated video","enum":["360p","540p","720p","1080p"],"title":"Resolution"}}},"PixverseV4ImageToVideoOutput":{"type":"object","x-fal-order-properties":["video"],"title":"I2VOutputV4","required":["video"],"properties":{"video":{"examples":[{"file_name":"output.mp4","file_size":6420765,"url":"https://fal.media/files/koala/HEWK7BBwqWrz7F5nAZzp7_output.mp4","content_type":"video/mp4"}],"description":"The generated video","$ref":"#/components/schemas/File"}}},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"}}}}},"paths":{"/fal-ai/pixverse/v4/image-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/image-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/pixverse/v4/image-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4ImageToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/pixverse/v4/image-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PixverseV4ImageToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTc","has_more":true}
